my $expected_version = "1.73";
print("import: Bio::ASN1::EntrezGene\n");
use Bio::ASN1::EntrezGene;

if (defined Bio::ASN1::EntrezGene->VERSION) {
	my $given_version = Bio::ASN1::EntrezGene->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Bio::ASN1::EntrezGene->VERSION . '
');

}
print("import: Bio::ASN1::EntrezGene::Indexer\n");
use Bio::ASN1::EntrezGene::Indexer;

if (defined Bio::ASN1::EntrezGene::Indexer->VERSION) {
	my $given_version = Bio::ASN1::EntrezGene::Indexer->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Bio::ASN1::EntrezGene::Indexer->VERSION . '
');

}
print("import: Bio::ASN1::Sequence\n");
use Bio::ASN1::Sequence;

if (defined Bio::ASN1::Sequence->VERSION) {
	my $given_version = Bio::ASN1::Sequence->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Bio::ASN1::Sequence->VERSION . '
');

}
print("import: Bio::ASN1::Sequence::Indexer\n");
use Bio::ASN1::Sequence::Indexer;

if (defined Bio::ASN1::Sequence::Indexer->VERSION) {
	my $given_version = Bio::ASN1::Sequence::Indexer->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Bio::ASN1::Sequence::Indexer->VERSION . '
');

}
